using SoftwareInstallationDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SoftwareInstallationContracts.ViewModels
{
    public class PackageViewModel : IPackageModel
    {
        public int Id { get; set; }
        [DisplayName("Название изделия")]
        public string PackageName { get; set; } = string.Empty;
        [DisplayName("Цена")]
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> PackageComponents
        {
            get;
            set;
        } = new();
    }
}
